<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:a4j="http://richfaces.org/a4j" xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:g="http://www.ihe.net/gazelle"
                xmlns:h="http://java.sun.com/jsf/html"
                xmlns="http://www.w3.org/1999/xhtml">
    <ui:decorate template="/layout/popup/_popup_title_footer.xhtml">
        <ui:param name="popup_id" value="movementDetailPanel"/>
        <ui:define name="popup_title">#{movement.movementUniqueId}</ui:define>
        <s:div id="movementDetailPanelContent">
            <dl class="dl-horizontal">
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.simulator.pam.MovementDate']}</ui:define>
                    <g:date value="#{movement.movementDate}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.pam.NatureOfMovement']}</ui:define>
                    <h:outputText value="#{valueSet.getDisplayNameForCode('HL79106', movement.natureOfMovement)}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.pam.MedicalResponsabilityWard']}</ui:define>
                    <h:outputText value="#{valueSet.getDisplayNameForCode('MEDICAL_WARD', movement.wardCode)}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml">
                    <ui:define name="label">#{messages['gazelle.pam.NursingResponsabilityWard']}</ui:define>
                    <h:outputText value="#{valueSet.getDisplayNameForCode('NURSING_WARD', movement.nursingCareWard)}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{movement.assignedPatientLocation != null}">
                    <ui:define name="label">
                        #{messages['gazelle.simulator.pam.AssignedPatientLocation']}
                    </ui:define>
                    <h:outputText value="#{movement.assignedPatientLocation}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{movement.priorPatientLocation != null}">
                    <ui:define name="label">
                        #{messages['gazelle.simulator.pam.PriorPatientLocation']}
                    </ui:define>
                    <h:outputText value="#{movement.priorPatientLocation}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{movement.temporaryPatientLocation != null}">
                    <ui:define name="label">
                        #{messages['gazelle.simulator.pam.TemporaryPatientLocation']}
                    </ui:define>
                    <h:outputText value="#{movement.temporaryPatientLocation}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{movement.priorTemporaryLocation != null}">
                    <ui:define name="label">
                        #{messages['gazelle.simulator.pam.PriorTemporaryPatientLocation']}
                    </ui:define>
                    <h:outputText value="#{movement.priorTemporaryLocation}"/>
                </s:decorate>
                <s:decorate template="/layout/display/_display.xhtml"
                            rendered="#{movement.pendingPatientLocation != null}">
                    <ui:define name="label">
                        #{messages['gazelle.simulator.pam.PendingPatientLocation']}
                    </ui:define>
                    <h:outputText value="#{movement.pendingPatientLocation}"/>
                </s:decorate>
            </dl>
        </s:div>
        <ui:define name="popup_footer">
            <a4j:commandButton value="#{messages['gazelle.simulator.ClickHereToCloseThisWindow']}"
                               onclick="jq162('#movementDetailPanel').modal('hide')"
                               styleClass="gzl-btn"/>
        </ui:define>
    </ui:decorate>
</ui:composition>